local x = Def.ActorFrame{
	LoadFont("_shared2")..{
		Text="SAVING PROFILES...";
		InitCommand=cmd(x,SCREEN_CENTER_X-100;y,SCREEN_CENTER_Y;diffuse,color("1,0.5,0.5,1");diffusealpha,0;shadowlength,2;zoom,0.8);
		OnCommand=cmd(linear,0.3;diffusealpha,1);
		OffCommand=cmd(linear,0.15;diffusealpha,0);
	};
};

x[#x+1] = Def.Actor {
	BeginCommand=function(self)
		if SCREENMAN:GetTopScreen():HaveProfileToSave() then self:sleep(1); end;
		self:queuecommand("Load");
	end;
	LoadCommand=function() SCREENMAN:GetTopScreen():Continue(); end;
};

return x;